# MergeSigils
MergeSigils is a BepInEx plugin that provides bases for merge and place above sigils.
Merge sigils are sigils that have an effect when something is placed above the card with the sigil. It also enables cards to be placed above the card with the sigil.
Place Above sigils are sigils that have an effect when a card with the sigil is placed above any other card. It also enables the card to be placed above other cards.
To use MergeSigils in your mod, just add it as a reference in your project.
To make a cusotm Merge/Place Above sigil just inherit one of the base classes and override their abstract methods.
Base classes for Merge:
* `MergeBase` - the most basic type of Merge. Has no effects on it's own. Honestly idk why you would want to use that but here you go anyways. Methods for override: `OnPreMerge(PlayableCard mergeCard)` (do stuff before the card merged with this is placed), `OnMerge(PlayableCard mergeCard)` (do stuff after the card merged with this is placed) and `CanMergeWith(PlayableCard mergeCard)` (optional, always returns true if not overriden) (if returns true, `mergeCard` will be able to be placed on this card)
* `MergeKillOther` - a type of merge that kills the card placed on this to do something. Methods for override: `OnPreCreatureMerge(PlayableCard mergeCard)` (basically the same as `OnPreMerge` for `MergeBase`) `OnPreMergeDeath(PlayableCard mergeCard)` (basically same as `OnMerge` for `MergeBase`), `CanMergeWith(PlayableCard mergeCard)` (exactly the same as in `MergeBase`). Also has one property for override: `IsActualDeath` (optional, returns `true` if not overriden) (if true, the card placed on this will actually die, dropping bones and all that stuff. otherwise, it will just kind of disappear)
* `MergeKillSelf` - a type of merge that kills this card to do something. Methods for override: same as in `MergeKillOther`. Also has the same property for override as `MergeKillOther`, with the only differecnce being that it defaults to `false`
Base classes for Place Above:
* `PlaceAboveBase` - the most basic type of Place Above. Has no effects on it's own. Again, idk why you would want to use that for any reason. Methods for override: `OnPrePlaceAbove(PlayableCard placeAboveCard)` (place above version of `OnPreMerge`), `OnPostPlaceAbove(PlayableCard placeAboveCard)` (place above version of `OnMerge`) and `CanPlaceAbove(PlayableCard placeAboveCard)` (optional, returns true if not overriden) (place above version of `CanMergeWith`)
* `PlaceAboveKillOther` - a type of place above that kills the card that this card was placed above to do something. Methods for override: `OnPreCreaturePlaceAbove(PlayableCard placeAboveCard)` (basically the same as `OnPrePlaceAbove`), `OnPrePlaceAboveDeath(PlayableCard placeAboveCard)` (basically the same as `OnPostPlaceAbove`), CanPlaceAbove(PlayableCard placeAboveCard) (exactly the same as in `PlaceAboveBase`). Properties for override: `IsActualDeath` (optional, returns `false` if not overriden) (basically the same as in `MergeKillOther` or `MergeKillSelf`)
* `PlaceAboveKillSelf` - a type of place above that kills this card when it's placed above something to do something. Methods for override: same as in `PlaceAboveKillOther`. Also has the same property for override as `PlaceAboveKillOther`, with the only differecnce being that it defaults to `true`

# Installation
To use BoonAPI, put `MergeSigils.dll` inside of your BepInEx plugins folder. It also probably works for Thunderstore Mod Manager or r2modman but I don't know for sure (I don't use them)

**NOTE: This mod was developed for Kaycee's Mod beta but it should work for the normal game.**